petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetCreateInterpolation

Set the routine used to create the interpolation operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateInterpolation(DM dm, PetscErrorCode (*interp)(DM,DM,Mat*,Vec*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| interp | - the routine to create the interpolation

### See Also

DMShellSetCreateInjection(), DMCreateInterpolation(), DMShellSetCreateRestriction(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages